Bug 1238437 - ibus-libzhuyin
Summary: ibus-libzhuyin
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kurik
QA Contact:
URL:
Whiteboard: ChangeAcceptedF23 SelfContainedChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-01 20:45 UTC by Jan Kurik
Modified: 2016-12-17 17:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 11:24:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Kurik 2015-07-01 20:45:03 UTC
This is a tracking bug for Change: ibus-libzhuyin
For more details, see: https://fedoraproject.org//wiki/Changes/ibus-libzhuyin

Make ibus-libzhuyin as the default Fedora 23 Traditional Chinese (Taiwan) input method.

Comment 1 Jan Kurik 2015-07-14 14:02:40 UTC
This message is a reminder that Fedora 23 Change Checkpoint: Completion deadline (testable) is on 2015-07-28 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 2 Jan Kurik 2015-07-15 13:51:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Jan Kurik 2015-09-01 14:56:56 UTC
This message is a reminder that Fedora 23 Change Checkpoint: 100% Code Complete Deadline is on 2015-Sep-08 [1].

Expected bug state is ON_QA - Change has to be code complete and is possible to test it in the Beta release.

Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution.  It's important milestone as contingency plan may be put into effect if the Change that miss this deadline.

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 4 Cheng-Chia Tseng 2016-12-15 15:42:12 UTC
Hi, I found there is still a problem on ibus-libzhuyin as default zh-TW input method.

After fresh install of f24 or f25, users will be prompted with gnome-initial-setup dialogue when logging in. 

However, the dialogue only list ibus-chewing as the default input method for Chinese (Taiwan) even not installed on the system, and not searching for available ones such as ibus-libzhuyin.

Sorry for finding the problem so late, I directly upgrade to f24 and just doing a fresh install of f25 lately.

https://bugzilla.gnome.org/show_bug.cgi?id=772674

What should I do with the bug status?

Comment 5 Cheng-Chia Tseng 2016-12-15 15:47:07 UTC
The problem makes new users not having any functioning traditional Chinese input methods even though ibus-libzhuyin installed by default, and that's a regression since f24.

Comment 6 Peng Wu 2016-12-16 05:25:50 UTC
Hi Cheng-Chia Tseng,

  Please open a new Fedora bug for gnome-desktop component and CC me.

  We can change the default Traditional Chinese input method first in Fedora,
  then ask to change it in upstream.

Thanks,
  Peng Wu

Comment 7 Cheng-Chia Tseng 2016-12-17 17:25:36 UTC
Filed bug #1405709, thanks!


Note You need to log in before you can comment on or make changes to this bug.